import React from "react";
declare class SearchIcon extends React.Component<{
    handleInput: (str: string) => void;
}, {
    isSearching: boolean;
}> {
    state: {
        isSearching: boolean;
    };
    private inputRef;
    private handleZoomClick;
    private handleCloseClick;
    handleClickOutside: () => void;
    private handleInput;
    render(): import("react/jsx-runtime").JSX.Element;
}
declare const _default: typeof SearchIcon;
export default _default;
